SK_NS_CAPABLE(9)

NAME
sk_ns_capable - General socket capability test

SYNOPSIS

bool sk_ns_capable(const struct sock * sk, struct user_namespace * user_ns, int cap);

ARGUMENTS

sk
    Socket to use a capability on or through

user_ns
    The user namespace of the capability to use

cap
    The capability to use

DESCRIPTION

Test to see if the opener of the socket had when the socket was created and the current process has the capability cap in the user namespace user_ns.

COPYRIGHT